Building a webhook integration? Read the webhook guide for signatures, retries, event schemas, and troubleshooting.
apiDeterministic

Update webhook endpoint

PATCH /api/v1/webhook-endpoints/{endpointId}

Update an outbound webhook endpoint, its explicit subscriptions, filters, destination authentication, or active and paused status.

Parameters

workspaceId
string
Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client.
endpointIdrequired
string
No description.
name
string
No description.
url
string
No description.
eventTypes
string[]
No description.
filters
object
No description.
destinationAuth
object
Destination authentication. Use { type: "keep" } to preserve the configured secret.
active
boolean
No description.
status
string
No description.
active | paused

Example

REST requestbash
curl -X PATCH "https://app.pipeline.help/api/v1/webhook-endpoints/00000000-0000-4000-8000-000000000000" \
-H "Authorization: Bearer $PIPELINE_API_KEY"

Response

Success response schemajson schema
{
"type": "object",
"properties": {
"endpoint": {
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid"
},
"workspaceId": {
"type": "string",
"format": "uuid"
},
"name": {
"type": "string"
},
"url": {
"type": "string",
"format": "uri"
},
"eventTypes": {
"type": "array",
"items": {
"type": "string"
}
},
"filters": {
"type": "object"
},
"apiVersion": {
"type": "string"
},
"status": {
"type": "string",
"enum": [
"active",
"paused",
"auto_paused"
]
},
"pauseReason": {
"type": [
"string",
"null"
]
},
"health": {
"type": "string",
"enum": [
"never_delivered",
"healthy",
"failing"
]
},
"destinationAuth": {
"type": "object",
"properties": {
"type": {
"type": "string"
},
"headerName": {
"type": [
"string",
"null"
]
},
"configured": {
"type": "boolean"
}
},
"required": [
"type",
"headerName",
"configured"
]
},
"consecutiveFailures": {
"type": "number"
},
"lastSuccessAt": {
"type": [
"string",
"null"
]
},
"lastFailureAt": {
"type": [
"string",
"null"
]
},
"lastError": {
"type": [
"string",
"null"
]
},
"createdAt": {
"type": "string"
},
"updatedAt": {
"type": "string"
}
},
"required": [
"id",
"workspaceId",
"name",
"url",
"eventTypes",
"filters",
"apiVersion",
"status",
"pauseReason",
"health",
"destinationAuth",
"consecutiveFailures",
"lastSuccessAt",
"lastFailureAt",
"lastError",
"createdAt",
"updatedAt"
]
}
},
"required": [
"endpoint"
]
}

HTTP errors

401
Missing or invalid API key.
403
Authenticated but not permitted for the workspace or resource.
404
The requested resource was not found.
Pipeline REST API reference | Pipeline